# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define tarname pep8

Name:           python-%{tarname}
Version:        1.4.5
Release:        %mkrel 1
Summary:        Python style guide checker

Group:          Development/Python
License:        MIT
URL:            https://github.com/jcrocholl/pep8
Source0:        %{tarname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools

%description
pep8 is a tool to check your Python code against some of the style conventions
in PEP 8. It has a plugin architecture, making new checks easy, and its output
is parseable, making it easy to jump to an error location in your editor.

%prep
%setup -qn %{tarname}-%{version}
# Remove #! from pep8.py
sed --in-place "s:#!\s*/usr.*::" pep8.py

%build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

 
%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.rst 
%{_bindir}/pep8
%{python_sitelib}/*

%changelog
* Sun Aug 11 2013 billybot <billybot>
-update
